package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserPreferencesByIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserPreferencesByIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserPreferencesByIdLogic {
	return &GetUserPreferencesByIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetUserPreferencesByIdLogic) GetUserPreferencesById(in *pb.GetUserPreferencesByIdReq) (*pb.GetUserPreferencesByIdResp, error) {
	// todo: add your logic here and delete this line

	return &pb.GetUserPreferencesByIdResp{}, nil
}
